Get ingest stream settings Technical Preview

GET /api/streams/{name}/_ingest

Spaces method and path for this operation:

get /s/{space_id}/api/streams/{name}/_ingest

Refer to Spaces for more information.

Fetches the ingest settings of an ingest stream definition

[Required authorization] Route required privileges: read_stream.

Path parameters

  • name string Required
application/json

Body

object object

Additional properties are NOT allowed.

Responses

  • 200 application/json
GET /api/streams/{name}/_ingest
curl \
 --request GET 'https://<KIBANA_URL>/api/streams/{name}/_ingest' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json"
Response examples (200)
{
  "ingest": {
    "wired": {
      "fields": {
        "client.ip": {
          "type": "ip"
        },
        "http.method": {
          "type": "keyword"
        },
        "url.original": {
          "type": "wildcard"
        },
        "http.response.body.bytes": {
          "type": "long"
        },
        "http.response.status_code": {
          "type": "long"
        }
      },
      "routing": [
        {
          "where": {
            "gte": 500,
            "field": "http.response.status_code"
          },
          "status": "enabled",
          "destination": "logs.nginx.errors"
        }
      ]
    },
    "settings": {},
    "lifecycle": {
      "inherit": {}
    },
    "processing": {
      "steps": [
        {
          "from": "message",
          "action": "grok",
          "patterns": [
            "%{IPORHOST:client.ip} %{USER:ident} %{USER:auth} \\[%{HTTPDATE:@timestamp}\\] \"%{WORD:http.method} %{DATA:url.original} HTTP/%{NUMBER:http.version}\" %{NUMBER:http.response.status_code:int} (?:%{NUMBER:http.response.body.bytes:int}|-)"
          ],
          "ignore_missing": false
        }
      ],
      "updated_at": "2025-01-15T10:30:00.000Z"
    },
    "failure_store": {
      "inherit": {}
    }
  }
}